> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/return-order.md).

# ReturnOrder

### Fields

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

Return order creation date

#### externalReference ([String](/graphql-api/api-reference/objects/string.md))

The reference to this return order at an external system

#### externalStatus ([String](/graphql-api/api-reference/objects/string.md))

The status of this return order at an external system

#### externalUrl ([String](/graphql-api/api-reference/objects/string.md))

The direct url to this return order at an external system

#### id ([ID](/graphql-api/api-reference/objects/id.md))

ID to identify th return order with

#### reason ([String](/graphql-api/api-reference/objects/string.md))

The reason for this return order

#### returnDate ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))

The desired (planned) return date for this return order

#### returnOrderProducts (\[[ReturnOrderProduct](/graphql-api/api-reference/objects/return-order-product.md)!])

The ordered products that are being returned with this return order.

#### returnedOn ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))

The actual date when the products in this return order have been returned

#### status ([ReturnOrderStatus](/graphql-api/api-reference/objects/return-order-status.md)!)

Return order status

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md))

The subscription this return order was made for.

#### trackingCode ([String](/graphql-api/api-reference/objects/string.md))

The tracking code for this return order.

#### trackingUrl ([String](/graphql-api/api-reference/objects/string.md))

The url to track this return order at external shipment provider


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/return-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
